csDocumentAttributeCommon Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csDocumentAttributeCommon Class Reference

Partial iDocumentAttribute implementation with commonly duplicated logic. More...

`#include <csutil/documentcommon.h>`

Inheritance diagram for csDocumentAttributeCommon:

List of all members.

## Public Member Functions
virtual int | GetValueAsInt ()
| Returns value.
virtual float | GetValueAsFloat ()
| Returns value.
virtual bool | GetValueAsBool ()
| Returns value.
virtual void | SetValueAsInt (int v)
| Converts 'value' to a string and calls SetValue() with it.
virtual void | SetValueAsFloat (float f)
| Converts 'value' to a string and calls SetValue() with it.

## Detailed Description

Partial iDocumentAttribute implementation with commonly duplicated logic.

Definition at line 130 of file documentcommon.h.

## Member Function Documentation

virtual bool csDocumentAttributeCommon::GetValueAsBool | ( |  | ) | `[virtual]`

Returns value.

Uses GetValue() and converts the string to the return type.

Implements iDocumentAttribute.

virtual float csDocumentAttributeCommon::GetValueAsFloat | ( |  | ) | `[virtual]`

Returns value.

Uses GetValue() and converts the string to the return type.

Implements iDocumentAttribute.

virtual int csDocumentAttributeCommon::GetValueAsInt | ( |  | ) | `[virtual]`

Returns value.

Uses GetValue() and converts the string to the return type.

Implements iDocumentAttribute.

virtual void csDocumentAttributeCommon::SetValueAsFloat | ( | float | f | ) | `[virtual]`

Converts 'value' to a string and calls SetValue() with it.

Implements iDocumentAttribute.

virtual void csDocumentAttributeCommon::SetValueAsInt | ( | int | v | ) | `[virtual]`

Converts 'value' to a string and calls SetValue() with it.

Implements iDocumentAttribute.

The documentation for this class was generated from the following file:

- csutil/documentcommon.h